commit:     034d5acd4a82bbae93bbb913dec826c925df6c70
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  3 18:38:01 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jan  3 18:38:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=034d5acd

media-plugins/gmpc-extraplaylist: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../gmpc-extraplaylist/gmpc-extraplaylist-0.20.0.ebuild   | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/media-plugins/gmpc-extraplaylist/gmpc-extraplaylist-0.20.0.ebuild 
b/media-plugins/gmpc-extraplaylist/gmpc-extraplaylist-0.20.0.ebuild
index 399b44e3942..30eb2fccc6b 100644
--- a/media-plugins/gmpc-extraplaylist/gmpc-extraplaylist-0.20.0.ebuild
+++ b/media-plugins/gmpc-extraplaylist/gmpc-extraplaylist-0.20.0.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=3
+EAPI=6
 
 DESCRIPTION="This plugin adds a second pane showing the playlist"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_EXTRA_PLAYLIST";
@@ -12,12 +12,13 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE=""
 
-RDEPEND=">=media-sound/gmpc-${PV}
-       dev-libs/libxml2"
+RDEPEND="
+       >=media-sound/gmpc-${PV}
+       dev-libs/libxml2:="
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 
-src_install () {
-       emake DESTDIR="${D}" install || die
-       find "${ED}" -name "*.la" -delete || die
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to